/*
 * Peripheral.h
 *
 *  Created on: 2009/07/08
 *      Author: ashida
 */

#ifndef PERIPHERAL_H_
#define PERIPHERAL_H_

// 走査する方向数
#define PERI_SCAN_DIRECT_NUM	4
// １辺あたりの走査する本数
#define PERI_SCAN_NUM			8
// 深さ
#define PERI_SCAN_DEPTH			2

/** ペリフェラル特徴量構造体 */
typedef struct _Peripheral{
	// 特徴量
	unsigned int feature[PERI_SCAN_DIRECT_NUM][PERI_SCAN_NUM][PERI_SCAN_DEPTH];
} Peripheral;

#endif /* PERIPHERAL_H_ */
