/*
 * Dictionary.h
 *
 *  Created on: 2009/07/08
 *      Author: ashida
 */

#ifndef DICTIONARY_H_
#define DICTIONARY_H_

#include "DictionaryElement.h"

// 辞書の要素数の初期値
#define INIT_DICT_ELEMENT_NUM 10

/** 辞書
 * @author 芦田和毅
 */
typedef struct _Dictionary{
	// メモリを確保してある要素数
	unsigned int allocElementNum;
	// 要素数（サンプル数）
	unsigned int elementNum;
	// 特徴量の次元数
	unsigned int dimension;
	// 要素（サンプル）
	DictionaryElement **elements;
} Dictionary;
#endif /* DICTIONARY_H_ */
